KintsugiKintsugi
API reference / Update customer

Update customer

PUT/v1/customers/{customer_id}

The Update Customer API allows you to modify an existing customer's information using their unique identifier, enabling updates to their details as needed.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Path parameters

customer_idstringRequired

Unique identifier of the customer to be retrieved.

Body

phonestring

Phone number associated with the customer.

street_1string

Primary street address.

street_2string

Additional street address details, such as an apartment or suite number.

citystring

City where the customer resides.

countystring

County or district of the customer.

statestring

State or province of the customer.

postal_codestring

ZIP or Postal code of the customer.

countryCountryCodeEnum

Country code in ISO 3166-1 alpha-2 format

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
full_addressstring

Complete address string of the customer, which can be used as an alternative to individual fields.

namestring

Name of the customer.

statusStatusEnum

Status of the customer.

Available options:ACTIVEARCHIVED
emailstring

Email address of the customer.

sourceSourceEnum

Source of the customer's record

Available options:BIGCOMMERCEBESTBUYBUNNYCHARGEBEESHOPIFYSTRIPEAMAZONTIKTOKCUSTOMUNKNOWNIMPORTZUORAAPIDECKQUICKBOOKSAPIAPPLE_APP_STOREGOOGLE_APP_STOREWALMARTPAYPALNETSUITEXEROMAXIORECURLYSALESFORCEETSYEBAYWIXSQUARESPACEWOOCOMMERCEMAGENTOBILLING_PLATFORMDEELRIPPLINGGUSTOFACEBOOKOTHERORDWAYINSTAGRAMPINTERESTWAYFAIRWISHPOSTARGETNEWEGGGROUPONGOOGLE_EXPRESSNOCNOCMERCADO_LIBREMODALYSTNORDSTROMFAIRESHOPWAREZOHOSAGE-INTACCTAIRWALLEXORBZENSKARMICROSOFT_DYNAMICS_365KICKSTARTERINTERNAL_ERP
address_statusAddressStatus

Address verification status.

Available options:UNVERIFIEDINVALIDPARTIALLY_VERIFIEDVERIFIEDUNVERIFIABLEBLANK
external_idstring

External identifier associated with the customer

external_friendly_idstring

External friendly identifier associated with the customer. We need it for netsuite.

Response

phonestring

Customer's phone number

street_1string

Primary street address.

street_2string

Additional street address details, such as an apartment or suite number.

citystring

City where the customer resides.

countystring

County or district of the customer.

statestring

State or province of the customer.

postal_codestring

ZIP or Postal code of the customer.

countryCountryCodeEnum

Country code in ISO 3166-1 alpha-2 format

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
full_addressstring

Complete address string of the customer, which can be used as an alternative to individual fields.

namestring

Name of the customer.

external_idstring

External identifier associated with the customer.

statusStatusEnum

Status of the customer.

Available options:ACTIVEARCHIVED
emailstring

Customer's email address

sourceSourceEnum

Source of the customer's record.

Available options:BIGCOMMERCEBESTBUYBUNNYCHARGEBEESHOPIFYSTRIPEAMAZONTIKTOKCUSTOMUNKNOWNIMPORTZUORAAPIDECKQUICKBOOKSAPIAPPLE_APP_STOREGOOGLE_APP_STOREWALMARTPAYPALNETSUITEXEROMAXIORECURLYSALESFORCEETSYEBAYWIXSQUARESPACEWOOCOMMERCEMAGENTOBILLING_PLATFORMDEELRIPPLINGGUSTOFACEBOOKOTHERORDWAYINSTAGRAMPINTERESTWAYFAIRWISHPOSTARGETNEWEGGGROUPONGOOGLE_EXPRESSNOCNOCMERCADO_LIBREMODALYSTNORDSTROMFAIRESHOPWAREZOHOSAGE-INTACCTAIRWALLEXORBZENSKARMICROSOFT_DYNAMICS_365KICKSTARTERINTERNAL_ERP
connection_idstring

Identifier for the connection source, if applicable.

address_statusAddressStatus

Status of address verification

Available options:UNVERIFIEDINVALIDPARTIALLY_VERIFIEDVERIFIEDUNVERIFIABLEBLANK
registration_numberstring

Registration number of the customer.

external_friendly_idstring

External friendly identifier associated with the customer. We need it for netsuite.

customer_tax_registrationsCustomerTaxRegistrationRead[]

Customer tax registrations associated with the customer.

idstringRequired

Unique identifier for the customer required.

organization_idstringRequired

Unique identifier for the organization associated with the customer. Required.

200

Successfully updated customer

401

The request is missing a valid x-api-key.

404

Entered an incorrect URL.

422

Query parameters failed validation, such as an out-of-range page number.

500

An unexpected server error occurred.

cURL
PUT /v1/customers/{customer_id}
-H "x-api-key: ***"
-H "x-organization-id: ***"
{
"phone": "987-654-3210",
"street_1": "456 Elm St",
"street_2": "Suite 202",
"city": "Metropolis",
"county": "Wayne",
"state": "NY",
"postal_code": "10001",
"country": "US",
"full_address": "456 Elm St, Suite 202, Metropolis, NY 10001, US",
"name": "Jane Smith",
"status": "ACTIVE",
"email": "john.doe@example.com",
"source": "SHOPIFY",
"address_status": "VERIFIED",
"external_id": "cust_002"
}
Example request
https://api.trykintsugi.com/v1/customers/{customer_id}
Response
{
"id": "cust_H5NTxERcncfEN",
"name": "Jane Smith",
"external_id": "cust_002",
"status": "ACTIVE",
"email": "jane.smith@example.com",
"phone": "987-654-3210",
"street_1": "456 Elm St",
"street_2": "Suite 202",
"city": "Metropolis",
"county": "Wayne",
"state": "NY",
"postal_code": "10001",
"country": "US",
"source": "SHOPIFY",
"address_status": "UNVERIFIED",
"organization_id": "orgn_argaLQwMy2fJc"
}